package proxy.network;

import io.netty.channel.EventLoopGroup;

public abstract class EventLoopLoader<T extends EventLoopGroup> {
	private T group;

	public T get() {
		if(this.group == null)
			this.group = this.createEventLoop();
		return this.group;
	}

	protected abstract T createEventLoop();
}
